
clear
set mem 40m
set more off
use Maeda2010JOP_TwoModes.dta

stset demmonth, id(demid) failure(demend==1)

*model (1)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose, nohr efron sca(sca*) sch(sch*) cluster(country) robust
est store endp
estat phtest, detail
drop sca* sch*

*model (2)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose tpresi tprereg_ind tregiondem tpostcw, nohr efron cluster(country) robust
matrix beta = e(b)
matrix vc = e(V)
mat list vc

sort demmonth
gen preslope=beta[1,3] + (beta[1,14] * lnt)
gen prese=sqrt(vc[3,3] +(vc[14,14]*(lnt^2))+(2*vc[14,3]*lnt))
gen preup=preslope+(1.96*prese)
gen predn=preslope-(1.96*prese)
* Figure 1(A)
line preslope preup predn demmonth if demmonth<300, lpattern(solid dash dash) lcolor(black black black) legend(off) xlabel(0(50)300)



stset demmonth, id(demid) failure(endmode==1)

*model (3)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose, nohr efron sca(sca*) sch(sch*) cluster(country) robust
est store endp
estat phtest, detail
drop sca* sch*

*model (4)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose tgro tpresi tmixed tmajgovm tethnic tope turb tpostcw, nohr efron cluster(country) robust

matrix beta = e(b)
matrix vc = e(V)
mat list vc

sort demmonth
gen groslope=beta[1,2] + (beta[1,14] * lnt)
gen grose=sqrt(vc[2,2] +(vc[14,14]*(lnt^2))+(2*vc[14,2]*lnt))
gen group=groslope+(1.96*grose)
gen grodn=groslope-(1.96*grose)
* Figure 1(B)
line groslope group grodn demmonth if demmonth<300, lpattern(solid dash dash) lcolor(black black black) legend(off) xlabel(0(50)300)

gen presslope=beta[1,3] + (beta[1,15] * lnt)
gen presse=sqrt(vc[3,3] +(vc[15,15]*(lnt^2))+(2*vc[15,3]*lnt))
gen presup=presslope+(1.96*presse)
gen presdn=presslope-(1.96*presse)
* Figure 1(C)
line presslope presup presdn demmonth if demmonth<300, lpattern(solid dash dash) lcolor(black black black) legend(off) xlabel(0(50)300)



stset demmonth, id(demid) failure(endmode==2)
*model (5)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose, nohr efron sca(sca*) sch(sch*) cluster(country) robust
est store endp
estat phtest, detail
drop sca* sch*

*model (6)
stcox dev gro presi mixed majgovm ethnic ope urb prereg_ind prereg_mil regiondem postcw impose turb, nohr efron cluster(country) robust



